Browse code

BM-15099 Chore: bump PG version

Anthony Prades authored on 09/08/2019 12:18:20
Showing 6 changed files
... ...
@@ -8,7 +8,7 @@ BMNGINX="1.14.0-bluemind79"
8 8
 BMPHP="5.6.40-bluemind79"
9 9
 BMPHPMEMCACHE="3.0.8-bluemind79"
10 10
 
11
-BMPOSTGRESQL="11.3-bluemind99"
11
+BMPOSTGRESQL="11.5-bluemind102"
12 12
 
13 13
 # tick
14 14
 TELEGRAF="1.11.1.bm2-1"
... ...
@@ -18,17 +18,17 @@ INFLUXDB="1.7.7.bm2~6d19fef88"
18 18
 
19 19
 
20 20
 PGKEYRING="2018.2"
21
-PG_JESSIE="11.3-1.pgdg80+1"
22
-PGCOMMON_JESSIE="201.pgdg80+1"
23
-PG_STRETCH="11.3-1.pgdg90+1"
24
-PGCOMMON_STRETCH="201.pgdg90+1"
25
-PG_BUSTER="11.3-1.pgdg100+1"
26
-PGCOMMON_BUSTER="201.pgdg100+1"
27
-PG_XENIAL="11.3-1.pgdg16.04+1"
28
-PGCOMMON_XENIAL="201.pgdg16.04+1"
29
-PG_BIONIC="11.3-1.pgdg18.04+1"
30
-PGCOMMON_BIONIC="201.pgdg18.04+1"
31
-PG_RHEL7="11.3-1PGDG.rhel7"
21
+PG_JESSIE="11.5-1.pgdg80+1"
22
+PGCOMMON_JESSIE="204.pgdg80+1"
23
+PG_STRETCH="11.5-1.pgdg90+1"
24
+PGCOMMON_STRETCH="204.pgdg90+1"
25
+PG_BUSTER="11.5-1.pgdg100+1"
26
+PGCOMMON_BUSTER="204.pgdg100+1"
27
+PG_XENIAL="11.5-1.pgdg16.04+1"
28
+PGCOMMON_XENIAL="204.pgdg16.04+1"
29
+PG_BIONIC="11.5-1.pgdg18.04+1"
30
+PGCOMMON_BIONIC="204.pgdg18.04+1"
31
+PG_RHEL7="11.5-1PGDG.rhel7"
32 32
 
33 33
 # Cyrus
34 34
 BMCYRUSDEB="bm-cyrus-imapd=${BMCYRUS} \
... ...
@@ -6,7 +6,7 @@ Standards-Version: 3.9.1
6 6
 
7 7
 Package: bm-full
8 8
 Architecture: amd64
9
-Depends: bm-core (= ${binary:Version}), bm-postgresql (= 11.3-bluemind99), bm-locator (= ${binary:Version}), bm-admin-console (= ${binary:Version}), bm-eas (= ${binary:Version}), bm-conf (= ${binary:Version}), bm-postfix (= ${binary:Version}), bm-cyrus (= ${binary:Version}), bm-webserver (= ${binary:Version}), bm-setup-wizard (= ${binary:Version})|bm-installation-wizard (= ${binary:Version}), bm-lmtpd (= ${binary:Version}), bm-calendar (= ${binary:Version}), bm-node (= ${binary:Version}), bm-contact (= ${binary:Version}), bm-settings (= ${binary:Version}), bm-im (= ${binary:Version}), bm-xmpp (= ${binary:Version}), bm-hps (= ${binary:Version}), bm-default-app (= ${binary:Version}), bm-client-access (= ${binary:Version}), bm-webmail (= ${binary:Version}), bm-elasticsearch (= 1:6.4.3-bluemind74), bm-autodiscover (= ${binary:Version}), bm-push (= ${binary:Version}), bm-todolist (= ${binary:Version}), bm-chooser (= ${binary:Version}), bm-plugin-core-cti (= ${binary:Version}), bm-plugin-webserver-cti (= ${binary:Version}), bm-plugin-webserver-dav (= ${binary:Version}), bm-tick-full (= ${binary:Version}), bm-tick-node (= ${binary:Version}), bm-plugin-core-monitoring (= ${binary:Version})
9
+Depends: bm-core (= ${binary:Version}), bm-postgresql (= 11.5-bluemind102), bm-locator (= ${binary:Version}), bm-admin-console (= ${binary:Version}), bm-eas (= ${binary:Version}), bm-conf (= ${binary:Version}), bm-postfix (= ${binary:Version}), bm-cyrus (= ${binary:Version}), bm-webserver (= ${binary:Version}), bm-setup-wizard (= ${binary:Version})|bm-installation-wizard (= ${binary:Version}), bm-lmtpd (= ${binary:Version}), bm-calendar (= ${binary:Version}), bm-node (= ${binary:Version}), bm-contact (= ${binary:Version}), bm-settings (= ${binary:Version}), bm-im (= ${binary:Version}), bm-xmpp (= ${binary:Version}), bm-hps (= ${binary:Version}), bm-default-app (= ${binary:Version}), bm-client-access (= ${binary:Version}), bm-webmail (= ${binary:Version}), bm-elasticsearch (= 1:6.4.3-bluemind74), bm-autodiscover (= ${binary:Version}), bm-push (= ${binary:Version}), bm-todolist (= ${binary:Version}), bm-chooser (= ${binary:Version}), bm-plugin-core-cti (= ${binary:Version}), bm-plugin-webserver-cti (= ${binary:Version}), bm-plugin-webserver-dav (= ${binary:Version}), bm-tick-full (= ${binary:Version}), bm-tick-node (= ${binary:Version}), bm-plugin-core-monitoring (= ${binary:Version})
10 10
 Suggests: bm-plugin-core-ad-import (= ${binary:Version}), bm-plugin-core-ldap-import (= ${binary:Version}), bm-plugin-core-ldap-export (= ${binary:Version}), bm-ldap-role (= ${binary:Version})
11 11
 Description: Install a full BlueMind
12 12
  BlueMind brings a new vision for mail, calendar and contact sharing by adding collaborative
... ...
@@ -6,7 +6,7 @@ Group:              Applications/messaging
6 6
 URL:                http://www.bluemind.net/
7 7
 ExcludeArch:        s390 s390x
8 8
 Summary:            Install a full BlueMind
9
-Requires:           bm-core = %{version}-%{release}, bm-postgresql = 11.3-bluemind99, bm-locator = %{version}-%{release}, bm-admin-console = %{version}-%{release}, bm-eas = %{version}-%{release}, bm-conf = %{version}-%{release}, bm-postfix = %{version}-%{release}, bm-cyrus = %{version}-%{release}, bm-webserver = %{version}-%{release}, bm-wizard = %{version}-%{release}, bm-lmtpd = %{version}-%{release}, bm-calendar = %{version}-%{release}, bm-node = %{version}-%{release}, bm-contact = %{version}-%{release}, bm-settings = %{version}-%{release}, bm-im = %{version}-%{release}, bm-xmpp = %{version}-%{release}, bm-hps = %{version}-%{release}, bm-default-app = %{version}-%{release}, bm-client-access = %{version}-%{release}, bm-webmail = %{version}-%{release}, bm-elasticsearch = 1:6.4.3-bluemind74, bm-autodiscover = %{version}-%{release}, bm-push = %{version}-%{release}, bm-todolist = %{version}-%{release}, bm-chooser = %{version}-%{release}, bm-plugin-core-cti = %{version}-%{release}, bm-plugin-webserver-cti = %{version}-%{release}, bm-plugin-webserver-dav = %{version}-%{release}, bm-tick-full = %{version}-%{release}, bm-tick-node = %{version}-%{release}, bm-plugin-core-monitoring = %{version}-%{release}
9
+Requires:           bm-core = %{version}-%{release}, bm-postgresql = 11.5-bluemind102, bm-locator = %{version}-%{release}, bm-admin-console = %{version}-%{release}, bm-eas = %{version}-%{release}, bm-conf = %{version}-%{release}, bm-postfix = %{version}-%{release}, bm-cyrus = %{version}-%{release}, bm-webserver = %{version}-%{release}, bm-wizard = %{version}-%{release}, bm-lmtpd = %{version}-%{release}, bm-calendar = %{version}-%{release}, bm-node = %{version}-%{release}, bm-contact = %{version}-%{release}, bm-settings = %{version}-%{release}, bm-im = %{version}-%{release}, bm-xmpp = %{version}-%{release}, bm-hps = %{version}-%{release}, bm-default-app = %{version}-%{release}, bm-client-access = %{version}-%{release}, bm-webmail = %{version}-%{release}, bm-elasticsearch = 1:6.4.3-bluemind74, bm-autodiscover = %{version}-%{release}, bm-push = %{version}-%{release}, bm-todolist = %{version}-%{release}, bm-chooser = %{version}-%{release}, bm-plugin-core-cti = %{version}-%{release}, bm-plugin-webserver-cti = %{version}-%{release}, bm-plugin-webserver-dav = %{version}-%{release}, bm-tick-full = %{version}-%{release}, bm-tick-node = %{version}-%{release}, bm-plugin-core-monitoring = %{version}-%{release}
10 10
 Conflicts:          bm-cas-role
11 11
 Obsoletes:          bm-cas-role
12 12
 
... ...
@@ -9,7 +9,7 @@
9 9
 		<service.name>bm-mailbox-role</service.name>
10 10
 		<shortDescription>BlueMind Mailbox storage</shortDescription>
11 11
 		<description>All the services for building a mailbox storage server</description>
12
-		<dependencies>bm-conf bm-cyrus bm-postfix bm-lmtpd bm-node bm-tick-node bm-postgresql=11.3-bluemind99</dependencies>
12
+		<dependencies>bm-conf bm-cyrus bm-postfix bm-lmtpd bm-node bm-tick-node bm-postgresql=11.5-bluemind102</dependencies>
13 13
 	</properties>
14 14
 	
15 15
 	<parent>
... ...
@@ -6,6 +6,6 @@ Standards-Version: 3.9.1
6 6
 
7 7
 Package: bm-webmail
8 8
 Architecture: amd64
9
-Depends: bm-postgresql (= 11.3-bluemind99), bm-nginx (= 1.14.0-bluemind79), bm-php (= 5.6.40-bluemind79), tzdata, memcached
9
+Depends: bm-postgresql (= 11.5-bluemind102), bm-nginx (= 1.14.0-bluemind79), bm-php (= 5.6.40-bluemind79), tzdata, memcached
10 10
 Description: BlueMind webmail (Roundcube)
11 11
  BlueMind webmail (Roundcube: http://roundcube.net/)
... ...
@@ -6,7 +6,7 @@ Group:              Applications/messaging
6 6
 URL:                http://www.bluemind.net/
7 7
 ExcludeArch:        s390 s390x
8 8
 Summary:            BlueMind webmail (Roundcube)
9
-Requires:           bm-postgresql = 11.3-bluemind99, bm-nginx = 1.14.0-bluemind79, bm-php = 5.6.40-bluemind79, tzdata, epel-release >= 6, memcached
9
+Requires:           bm-postgresql = 11.5-bluemind102, bm-nginx = 1.14.0-bluemind79, bm-php = 5.6.40-bluemind79, tzdata, epel-release >= 6, memcached
10 10
 Conflicts:          bm-apache
11 11
 Obsoletes:          bm-apache
12 12